Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder.resultsfilter
Class BuildResultsFilterFactory

    java.lang.Object
      com.atlassian.bamboo.builder.resultsfilter.BuildResultsFilterFactory

    public final class BuildResultsFilterFactory

extends Object

This class creates the various build build result filters.

Field Summary
`static BuildResultsFilter` | `LAST_30_DAYS_FILTER`
`static BuildResultsFilter` | `LAST_7_DAYS_FILTER`
`static BuildResultsFilter` | `LAST_90_DAYS_FILTER`
`static BuildResultsFilter` | `ONLY_SHOW_TODAYS_BUILDS_FILTER`
`static BuildResultsFilter` | `SHOW_ALL_BUILDS_FILTER`
`static BuildResultsFilter` | `THE_LATEST_TWENTY_FIVE_BUILDS_FILTER`
`static BuildResultsFilter` | `THIS_MONTHS_BUILDS_FILTER_STRATEGY`

Method Summary
`static Collection` | `getBuildResultFilters()` Provide a list of all the available `BuildResultsFilter` object.
`static BuildResultsFilter` | `getInstanceWithCookieKey(String key)` Gets `BuildResultsFilter` implementation that contains the given key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ONLY_SHOW_TODAYS_BUILDS_FILTER

    public static final BuildResultsFilter ONLY_SHOW_TODAYS_BUILDS_FILTER

### THIS_MONTHS_BUILDS_FILTER_STRATEGY

    public static final BuildResultsFilter THIS_MONTHS_BUILDS_FILTER_STRATEGY

### THE_LATEST_TWENTY_FIVE_BUILDS_FILTER

    public static final BuildResultsFilter THE_LATEST_TWENTY_FIVE_BUILDS_FILTER

### SHOW_ALL_BUILDS_FILTER

    public static final BuildResultsFilter SHOW_ALL_BUILDS_FILTER

### LAST_7_DAYS_FILTER

    public static final BuildResultsFilter LAST_7_DAYS_FILTER

### LAST_30_DAYS_FILTER

    public static final BuildResultsFilter LAST_30_DAYS_FILTER

### LAST_90_DAYS_FILTER

    public static final BuildResultsFilter LAST_90_DAYS_FILTER

Method Detail

### getInstanceWithCookieKey

    public static BuildResultsFilter getInstanceWithCookieKey(String key)

  Gets `BuildResultsFilter` implementation that contains the given key.

  Parameters:
    `key` -
  Returns:
    build reuslts filter. Null if no match is found

### getBuildResultFilters

    public static Collection getBuildResultFilters()

  Provide a list of all the available `BuildResultsFilter` object.

  Returns:
    the filters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.